> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/collaborations-api/api-reference/automation-rules.md).

# Automation Rules

## GET /workspaces/{workspaceId}/inbox/automation/rules

> List inbox automation rules

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"parameters":{"automationRuleTrigger":{"description":"Rule trigger","in":"query","name":"trigger","required":false,"schema":{"$ref":"#/components/schemas/RuleTrigger"}},"automationRuleEnabled":{"description":"Rule enabled state","in":"query","name":"enabled","required":false,"schema":{"type":"boolean"}}},"schemas":{"RuleTrigger":{"type":"string","enum":["feedItemCreated","feedItemUpdated","messageReceived","messageSend","agentStatusUpdated","rootItemClosed","slaWarning","slaBreached","requiredSkillsUpdated","tagsAdded","tagsRemoved","noNewMessagesFor"]},"RulesList":{"type":"object","additionalProperties":false,"required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Rule"}}}},"Rule":{"type":"object","additionalProperties":false,"required":["id","name","categoryId","trigger","enabled","conditions","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","minLength":4},"description":{"type":"string"},"categoryId":{"type":"string","format":"uuid"},"trigger":{"$ref":"#/components/schemas/RuleTrigger"},"triggerArguments":{"type":"object","additionalProperties":true,"nullable":false},"orderPosition":{"type":"number"},"enabled":{"type":"boolean"},"conditions":{"$ref":"#/components/schemas/Conditions"},"actions":{"type":"array","items":{"$ref":"#/components/schemas/Action"}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"Conditions":{"anyOf":[{"type":"object","properties":{"all":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/Condition"}}}},{"type":"object","properties":{"any":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/Condition"}}}}]},"Condition":{"type":"object","additionalProperties":false,"required":["name"],"properties":{"name":{"type":"string"},"value":{"type":"object","additionalProperties":true,"nullable":true}}},"Action":{"type":"object","additionalProperties":false,"required":["name"],"properties":{"name":{"type":"string"},"value":{"type":"object","additionalProperties":true,"nullable":true}}}}},"paths":{"/workspaces/{workspaceId}/inbox/automation/rules":{"get":{"operationId":"listAutomationRules","parameters":[{"$ref":"#/components/parameters/automationRuleTrigger"},{"$ref":"#/components/parameters/automationRuleEnabled"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RulesList"}}},"description":"OK"}},"summary":"List inbox automation rules","tags":["inbox_automation"]}}}}
```

## PATCH /workspaces/{workspaceId}/inbox/automation/rules/reorder

> Reorder automation rule

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"ReorderRules":{"type":"object","additionalProperties":false,"required":["trigger","rules"],"properties":{"trigger":{"$ref":"#/components/schemas/RuleTrigger"},"rules":{"type":"array","minItems":1,"maxItems":100,"items":{"type":"object","additionalProperties":false,"required":["ruleId","newOrderPosition"],"properties":{"ruleId":{"type":"string","format":"uuid"},"newCategoryId":{"type":"string","format":"uuid","nullable":true},"newOrderPosition":{"type":"number","minimum":1}}}}}},"RuleTrigger":{"type":"string","enum":["feedItemCreated","feedItemUpdated","messageReceived","messageSend","agentStatusUpdated","rootItemClosed","slaWarning","slaBreached","requiredSkillsUpdated","tagsAdded","tagsRemoved","noNewMessagesFor"]},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/inbox/automation/rules/reorder":{"patch":{"operationId":"reorderAutomationRule","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReorderRules"}}},"required":true},"responses":{"204":{"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Reorder automation rule","tags":["inbox_automation"]}}}}
```

## GET /workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}

> Get automation rule

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"Rule":{"type":"object","additionalProperties":false,"required":["id","name","categoryId","trigger","enabled","conditions","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","minLength":4},"description":{"type":"string"},"categoryId":{"type":"string","format":"uuid"},"trigger":{"$ref":"#/components/schemas/RuleTrigger"},"triggerArguments":{"type":"object","additionalProperties":true,"nullable":false},"orderPosition":{"type":"number"},"enabled":{"type":"boolean"},"conditions":{"$ref":"#/components/schemas/Conditions"},"actions":{"type":"array","items":{"$ref":"#/components/schemas/Action"}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"RuleTrigger":{"type":"string","enum":["feedItemCreated","feedItemUpdated","messageReceived","messageSend","agentStatusUpdated","rootItemClosed","slaWarning","slaBreached","requiredSkillsUpdated","tagsAdded","tagsRemoved","noNewMessagesFor"]},"Conditions":{"anyOf":[{"type":"object","properties":{"all":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/Condition"}}}},{"type":"object","properties":{"any":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/Condition"}}}}]},"Condition":{"type":"object","additionalProperties":false,"required":["name"],"properties":{"name":{"type":"string"},"value":{"type":"object","additionalProperties":true,"nullable":true}}},"Action":{"type":"object","additionalProperties":false,"required":["name"],"properties":{"name":{"type":"string"},"value":{"type":"object","additionalProperties":true,"nullable":true}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.conflict":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The request conflicts with the current state of the resource."}}},"paths":{"/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}":{"get":{"operationId":"getAutomationRule","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Rule"}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"},"409":{"$ref":"#/components/responses/error.response.conflict"}},"summary":"Get automation rule","tags":["inbox_automation"]}}}}
```

## PATCH /workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}

> Update automation rule

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"UpdateRule":{"type":"object","additionalProperties":false,"properties":{"name":{"nullable":true,"type":"string"},"description":{"nullable":true,"type":"string"},"enabled":{"nullable":true,"type":"boolean"},"trigger":{"anyOf":[{"$ref":"#/components/schemas/RuleTrigger"},{"type":"string","maxLength":0,"nullable":true}]},"triggerArguments":{"type":"object","additionalProperties":true,"nullable":true},"categoryId":{"nullable":true,"type":"string","format":"uuid"},"conditions":{"$ref":"#/components/schemas/Conditions"},"actions":{"nullable":true,"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/Action"}}}},"RuleTrigger":{"type":"string","enum":["feedItemCreated","feedItemUpdated","messageReceived","messageSend","agentStatusUpdated","rootItemClosed","slaWarning","slaBreached","requiredSkillsUpdated","tagsAdded","tagsRemoved","noNewMessagesFor"]},"Conditions":{"anyOf":[{"type":"object","properties":{"all":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/Condition"}}}},{"type":"object","properties":{"any":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/Condition"}}}}]},"Condition":{"type":"object","additionalProperties":false,"required":["name"],"properties":{"name":{"type":"string"},"value":{"type":"object","additionalProperties":true,"nullable":true}}},"Action":{"type":"object","additionalProperties":false,"required":["name"],"properties":{"name":{"type":"string"},"value":{"type":"object","additionalProperties":true,"nullable":true}}},"Rule":{"type":"object","additionalProperties":false,"required":["id","name","categoryId","trigger","enabled","conditions","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","minLength":4},"description":{"type":"string"},"categoryId":{"type":"string","format":"uuid"},"trigger":{"$ref":"#/components/schemas/RuleTrigger"},"triggerArguments":{"type":"object","additionalProperties":true,"nullable":false},"orderPosition":{"type":"number"},"enabled":{"type":"boolean"},"conditions":{"$ref":"#/components/schemas/Conditions"},"actions":{"type":"array","items":{"$ref":"#/components/schemas/Action"}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}":{"patch":{"operationId":"updateAutomationRule","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateRule"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Rule"}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Update automation rule","tags":["inbox_automation"]}}}}
```

## DELETE /workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}

> Delete automation rule

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}},"schemas":{"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}}},"paths":{"/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}":{"delete":{"operationId":"deleteAutomationRule","responses":{"204":{"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Delete automation rule","tags":["inbox_automation"]}}}}
```

## GET /workspaces/{workspaceId}/inbox/automation/categories

> List inbox automation categories

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"CategoriesList":{"type":"object","additionalProperties":false,"required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Category"}}}},"Category":{"type":"object","additionalProperties":false,"required":["id","name","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"orderPosition":{"type":"number"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}}},"paths":{"/workspaces/{workspaceId}/inbox/automation/categories":{"get":{"operationId":"listAutomationCategories","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoriesList"}}},"description":"OK"}},"summary":"List inbox automation categories","tags":["inbox_automation"]}}}}
```

## POST /workspaces/{workspaceId}/inbox/automation/categories

> Create automation category

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"CreateCategory":{"type":"object","additionalProperties":false,"required":["name"],"properties":{"name":{"type":"string","minLength":4}}},"Category":{"type":"object","additionalProperties":false,"required":["id","name","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"orderPosition":{"type":"number"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/inbox/automation/categories":{"post":{"operationId":"createAutomationCategory","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCategory"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Category"}}},"description":"OK"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Create automation category","tags":["inbox_automation"]}}}}
```

## PATCH /workspaces/{workspaceId}/inbox/automation/categories/reorder

> Reorder automation categories

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"ReorderCategories":{"type":"object","additionalProperties":false,"required":["categories"],"properties":{"categories":{"type":"array","minItems":1,"maxItems":100,"items":{"type":"object","additionalProperties":false,"required":["categoryId","newOrderPosition"],"properties":{"categoryId":{"type":"string","format":"uuid"},"newOrderPosition":{"type":"number","minimum":1}}}}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/inbox/automation/categories/reorder":{"patch":{"operationId":"reorderAutomationCategories","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReorderCategories"}}},"required":true},"responses":{"204":{"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Reorder automation categories","tags":["inbox_automation"]}}}}
```

## PATCH /workspaces/{workspaceId}/inbox/automation/categories/{categoryId}

> Update automation category

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"CreateCategory":{"type":"object","additionalProperties":false,"required":["name"],"properties":{"name":{"type":"string","minLength":4}}},"Category":{"type":"object","additionalProperties":false,"required":["id","name","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"orderPosition":{"type":"number"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.conflict":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The request conflicts with the current state of the resource."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}":{"patch":{"operationId":"updateAutomationCategory","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCategory"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Category"}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"},"409":{"$ref":"#/components/responses/error.response.conflict"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Update automation category","tags":["inbox_automation"]}}}}
```

## DELETE /workspaces/{workspaceId}/inbox/automation/categories/{categoryId}

> Delete automation category

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.conflict":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The request conflicts with the current state of the resource."}},"schemas":{"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}}},"paths":{"/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}":{"delete":{"operationId":"deleteAutomationCategory","responses":{"204":{"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"},"409":{"$ref":"#/components/responses/error.response.conflict"}},"summary":"Delete automation category","tags":["inbox_automation"]}}}}
```

## GET /workspaces/{workspaceId}/inbox/automation/new-item-reply

> Get current new-item reply configuration.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"NewItemReplySettings":{"type":"object","additionalProperties":false,"required":["projectId"],"properties":{"projectId":{"type":"string","format":"uuid","nullable":true}}}}},"paths":{"/workspaces/{workspaceId}/inbox/automation/new-item-reply":{"get":{"operationId":"getAutomationNewItemReply","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewItemReplySettings"}}},"description":"OK"}},"summary":"Get current new-item reply configuration.","tags":["inbox_automation"]}}}}
```

## PUT /workspaces/{workspaceId}/inbox/automation/new-item-reply

> Update or create new-item reply configuration.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"NewItemReplySettings":{"type":"object","additionalProperties":false,"required":["projectId"],"properties":{"projectId":{"type":"string","format":"uuid","nullable":true}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.conflict":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The request conflicts with the current state of the resource."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/inbox/automation/new-item-reply":{"put":{"operationId":"putAutomationNewItemReply","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewItemReplySettings"}}},"required":true},"responses":{"204":{"description":"OK"},"409":{"$ref":"#/components/responses/error.response.conflict"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Update or create new-item reply configuration.","tags":["inbox_automation"]}}}}
```
